/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { GeographicXYTriangulatingSeriesDescription } from "./GeographicXYTriangulatingSeriesDescription";
import { markType } from "./type";
/**
 * @hidden
 */
var GeographicContourLineSeriesDescription = /** @class */ (function (_super) {
    __extends(GeographicContourLineSeriesDescription, _super);
    function GeographicContourLineSeriesDescription() {
        var _this = _super.call(this) || this;
        _this.cd = null;
        _this.ca = null;
        _this.b8 = null;
        _this.cc = null;
        return _this;
    }
    GeographicContourLineSeriesDescription.prototype.get_type = function () {
        return "GeographicContourLineSeries";
    };
    Object.defineProperty(GeographicContourLineSeriesDescription.prototype, "valueMemberPath", {
        get: function () {
            return this.cd;
        },
        set: function (a) {
            this.cd = a;
            this.e("ValueMemberPath");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GeographicContourLineSeriesDescription.prototype, "fillScale", {
        get: function () {
            return this.ca;
        },
        set: function (a) {
            this.ca = a;
            this.e("FillScale");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GeographicContourLineSeriesDescription.prototype, "valueResolver", {
        get: function () {
            return this.b8;
        },
        set: function (a) {
            this.b8 = a;
            this.e("ValueResolver");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GeographicContourLineSeriesDescription.prototype, "triangulationStatusChangedRef", {
        get: function () {
            return this.cc;
        },
        set: function (a) {
            this.cc = a;
            this.e("TriangulationStatusChangedRef");
        },
        enumerable: true,
        configurable: true
    });
    GeographicContourLineSeriesDescription.$t = markType(GeographicContourLineSeriesDescription, 'GeographicContourLineSeriesDescription', GeographicXYTriangulatingSeriesDescription.$);
    return GeographicContourLineSeriesDescription;
}(GeographicXYTriangulatingSeriesDescription));
export { GeographicContourLineSeriesDescription };
